package com.zkqy.common.config.bpm;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author hmc
 * @date 2023-11-02 18:07
 * @Description:
 */
@Configuration
public class BpmProperties {


    //根据用户id查询当前用户所具备的角色key的ip地址 MAIN_ROLESKEY_IP
    @Value("${parameter.ip.MAIN_ROLESKEY_IP}")
    public String mainRolesKeyIp;

    // 根据scriptKey获取节点脚本详情地址
    @Value("${parameter.ip.GET_NODESCRIPT_IP}")
    public String getNodeScriptIp;
    // crm项目查看角色下是否存在真实用户
    @Value("${parameter.ip.QUERY_USER_EXISTS_BY_ROLEKEY_IP}")
    public String queryUserExistsByRoleKeyIp;
    // crm项目查看一组用户是否存在真实用户
    @Value("${parameter.ip.QUERY_USER_EXISTS_BY_USERIDS_IP}")
    public String queryUserExistsByUserIdsIp;
    // form项目共通修改接口
    @Value("${parameter.ip.FORM_COMMON_UPDATE_IP}")
    public String formCommonUpdateIp;
    // FORM_COMMON_GETINFO_IP
    @Value("${parameter.ip.FORM_COMMON_GETINFO_IP}")
    public String formCommonGetInfoIp;
    // form项目共通新增接口
    @Value("${parameter.ip.FORM_COMMON_BATCHINSERT_IP}")
    public String formCommonBatchInsertIp;
    // CRM项目根据scriptKeys获取节点脚本详情地址
    @Value("${parameter.ip.GET_NODESCRIPTS_IP}")
    public String getNodeScriptsIp;
    // 租户字典：根据字典类型得到当前字典下的所有的数据
    @Value("${parameter.ip.GET_TENANT_DICT_IP}")
    public String getTenantDictValIp;
    // form项目共通新增接口
    @Value("${parameter.ip.FORM_COMMON_INSERT_IP}")
    public String formCommonInsertIp;
    //form项目根据表单Fid查询详情接口
    @Value("${parameter.ip.FORM_GET_FORM_INFO_IP}")
    public String formGetFormInfoIp;
    //from项目根据groupKey查询表格组信息
    @Value("${parameter.ip.FORM_GET_GROUP_INFO_IP}")
    public String formGetGroupInfoIp;
    //CRM项目获取所有模板库数据表信息
    @Value("${parameter.ip.CRM_QUERY_TEMPLATEBASE_TABLE}")
    public String crmQueryTemplateBaseTableIp;


    public String getGetTenantDictValIp() {
        return getTenantDictValIp;
    }

    public void setGetTenantDictValIp(String getTenantDictValIp) {
        this.getTenantDictValIp = getTenantDictValIp;
    }

    public String getMainRolesKeyIp() {
        return mainRolesKeyIp;
    }

    public void setMainRolesKeyIp(String mainRolesKeyIp) {
        this.mainRolesKeyIp = mainRolesKeyIp;
    }

    public void setGetNodeScriptIp(String getNodeScriptIp) {
        this.getNodeScriptIp = getNodeScriptIp;
    }

    public String getGetNodeScriptIp() {
        return getNodeScriptIp;
    }

    public String getQueryUserExistsByRoleKeyIp() {
        return queryUserExistsByRoleKeyIp;
    }

    public void setQueryUserExistsByRoleKeyIp(String queryUserExistsByRoleKeyIp) {
        this.queryUserExistsByRoleKeyIp = queryUserExistsByRoleKeyIp;
    }

    public String getQueryUserExistsByUserIdsIp() {
        return queryUserExistsByUserIdsIp;
    }

    public void setQueryUserExistsByUserIdsIp(String queryUserExistsByUserIdsIp) {
        this.queryUserExistsByUserIdsIp = queryUserExistsByUserIdsIp;
    }

    public String getFormCommonUpdateIp() {
        return formCommonUpdateIp;
    }

    public void setFormCommonUpdateIp(String formCommonUpdateIp) {
        this.formCommonUpdateIp = formCommonUpdateIp;
    }

    public String getFormCommonGetInfoIp() {
        return formCommonGetInfoIp;
    }

    public void setFormCommonGetInfoIp(String formCommonGetInfoIp) {
        this.formCommonGetInfoIp = formCommonGetInfoIp;
    }

    public String getFormCommonBatchInsertIp() {
        return formCommonBatchInsertIp;
    }

    public void setFormCommonBatchInsertIp(String formCommonBatchInsertIp) {
        this.formCommonBatchInsertIp = formCommonBatchInsertIp;
    }

    public String getGetNodeScriptsIp() {
        return getNodeScriptsIp;
    }

    public void setGetNodeScriptsIp(String getNodeScriptsIp) {
        this.getNodeScriptsIp = getNodeScriptsIp;
    }

    public String getFormCommonInsertIp() {
        return formCommonInsertIp;
    }

    public void setFormCommonInsertIp(String formCommonInsertIp) {
        this.formCommonInsertIp = formCommonInsertIp;
    }

    public String getFormGetFormInfoIp() {
        return formGetFormInfoIp;
    }

    public void setFormGetFormInfoIp(String formGetFormInfoIp) {
        this.formGetFormInfoIp = formGetFormInfoIp;
    }

    public String getFormGetGroupInfoIp() {
        return formGetGroupInfoIp;
    }

    public void setFormGetGroupInfoIp(String formGetGroupInfoIp) {
        this.formGetGroupInfoIp = formGetGroupInfoIp;
    }

    public String getCrmQueryTemplateBaseTableIp() {
        return crmQueryTemplateBaseTableIp;
    }

    public void setCrmQueryTemplateBaseTableIp(String crmQueryTemplateBaseTableIp) {
        this.crmQueryTemplateBaseTableIp = crmQueryTemplateBaseTableIp;
    }
}